Bug 1311428 - [RFE] expose content view version to puppet modules
[RFE] expose content view version to puppet modules
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views (Show other bugs)
6.1.7
All All
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 03:54 EST by Stefan Meyer
Modified: 2017-02-24 02:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Meyer 2016-02-24 03:54:01 EST
Feature:
Satellite 6 already exposes "lifecycle_environment" and "content_view" as 
parameter for Puppet but not the assigned Content View version.


Reason:
The customer likes to use the Content View Version as information on the 
target systems without having to lookup the system in Satellite 6. 

An example would be an information in /etc/motd.

Result:
Parameter "content_view_version" can be used in Puppet classes and modules
Comment 4 Bryan Kearney 2016-07-26 15:03:46 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.